%define release %mkrel 1
%define version 1.2.3
%define name qwbfsmanager

Summary: File manager for the WBFS filesystem
Name:	%name
Version: %version
Release: %release
License: GPLv2
Group: Graphical desktop/KDE4 
Source: http://code.google.com/p/qwbfs/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://code.google.com/p/qwbfs/
BuildRequires:  qt4-devel 
BuildRequires: kdelibs-devel
Requires: task-qt4 udev

%description
QWBFS Manager is a graphical user interface (GUI) for working with WBFS
filesystem formatted hard disk drive.

%prep
%setup -q


%build
qmake && make

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}/
install -m 755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}/
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/qt4
cp -r translations $RPM_BUILD_ROOT%{_datadir}/qt4

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=QWBFS Manager
Comment=File manager for the WBFS filesystem
Exec=%{name}
Icon=%{_datadir}/pixmaps/%{name}.png
Terminal=false
Type=Application
Categories=Qt;X-MandrivaLinux-System-FileTools;
Encoding=UTF-8
EOF

# icons
mkdir -p %{buildroot}/%{_liconsdir}
convert qwbfs/resources/%{name}.png -resize 48x48 %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_iconsdir}
convert qwbfs/resources/%{name}.png -resize 32x32 %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%{_miconsdir}
convert qwbfs/resources/%{name}.png -resize 16x16 %{buildroot}/%_miconsdir/%name.png
install -dm 755 $RPM_BUILD_ROOT/usr/share/pixmaps
convert qwbfs/resources/%{name}.png -resize 48x48 \
$RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README GPL-2
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/qt4/translations
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Fri Oct 26 2012 Neal <nealbrks0 at gmail dot com> 1.2.3-1pclos2012
- process

* Thu Oct 25 2012 Ken <lxgator at gmail.com> 1.2.3-1pclos2012
- initial build

